summaryrefslogtreecommitdiff
path: root/tests/mv/i-2
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-05-20 09:31:14 +0000
committerJim Meyering <jim@meyering.net>2000-05-20 09:31:14 +0000
commitdd19256dcd3083973f5427ab600e7f236c16eea3 (patch)
treea102d4ec4fa49e97fc575f0a07f5cfb9c56c237e /tests/mv/i-2
parent8fad3eb9e096a4d2256fe5eaa0bb57cfa9a66761 (diff)
downloadcoreutils-dd19256dcd3083973f5427ab600e7f236c16eea3.tar.xz
.
Diffstat (limited to 'tests/mv/i-2')
-rwxr-xr-xtests/mv/i-269
1 files changed, 69 insertions, 0 deletions
diff --git a/tests/mv/i-2 b/tests/mv/i-2
new file mode 100755
index 000000000..40e229fc4
--- /dev/null
+++ b/tests/mv/i-2
@@ -0,0 +1,69 @@
+#!/bin/sh
+# Test both cp and mv for their behavior with -if and -fi
+# The standards (POSIX and SuS) dictate annoyingly inconsistent behavior.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+ cp --version
+fi
+
+unset VERSION_CONTROL
+if test "${VERSION_CONTROL+set}" = set; then
+ echo '$0: the VERSION_CONTROL envvar is set --' \
+ ' unset it and rerun this test' >&2
+ exit 1
+fi
+
+# Make sure we get English translations.
+LANGUAGE=C
+export LANGUAGE
+LC_ALL=C
+export LC_ALL
+LANG=C
+export LANG
+
+pwd=`pwd`
+tmp=cp-mv-if-$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp
+
+for i in a b c d e f g h; do
+ echo $i > $i || framework_failure=1
+done
+chmod 0 b d f h || framework_failure=1
+echo y > y || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+mv -if a b || fail=1
+mv -fi c d < y >/dev/null 2>&1 || fail=1
+
+# Before 4.0s, this would not prompt.
+cp -if e f < y > out 2>&1 || fail=1
+ cp out /tmp
+
+# Make sure out contains the prompt.
+case "`cat out`" in
+ "cp: overwrite \`f', overriding mode 0000?"*) ;;
+ *) fail=1 ;;
+esac
+
+test -f e || fail=1
+test -f f || fail=1
+cmp e f || fail=1
+
+cp -fi g h < y > out 2>&1 || fail=1
+test -f g || fail=1
+test -f h || fail=1
+cmp g h || fail=1
+
+exit $fail